Bug 624118 - C++ Messaging Client .NET binding fails to clone managed objects correctly
Summary: C++ Messaging Client .NET binding fails to clone managed objects correctly
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-sdk   
(Show other bugs)
Version: beta
Hardware: All Linux
high
medium
Target Milestone: 1.3
: ---
Assignee: Chuck Rolke
QA Contact: Frantisek Reznicek
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-13 17:59 UTC by Chuck Rolke
Modified: 2015-11-16 01:12 UTC (History)
4 users (show)

Fixed In Version: 1.3.8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 20:25:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-2798 None None None Never

Description Chuck Rolke 2010-08-13 17:59:48 UTC
Description of problem:

After cloning a managed object and then handling an exception, the process received an Access Violation while freeing the object and its clone.

Version-Release number of selected component (if applicable):

0.7.946106-12

How reproducible:

static, easy.

Steps to Reproduce:

The specific case that failed was
  request = receiver.fetch();
  address = request.ReplyTo;
  sender = session.CreateSender(address);

The bug occurs during the cloning of the Address object from the request.ReplyTo. After that line of code there are two managed objects that have pointers to the same unmanaged object. When the CreateSender function exits then the process will get an accvio during shutdown.

Additional info:

https://issues.apache.org/jira/browse/QPID-2798


Note You need to log in before you can comment on or make changes to this bug.